@use '~@angular/material' as mat;
@include mat.core();

$hogwarts-primary: (
  100: #522727,
  500: #522727,
  700: #522727,
  contrast: (
    100: rgba(0,0,0,0.87),
    500: #ffffff,
    700: #ffffff,
  )
);
$hogwarts-accent: (
  100: #683c3c,
  500: #683c3c,
  700: #683c3c,
  contrast: (
    100: rgba(0,0,0,0.87),
    500: rgba(0,0,0,0.87),
    700: #ffffff,
  )
);


$hogwarts-primary: mat.define-palette($hogwarts-primary);
$hogwarts-accent: mat.define-palette($hogwarts-accent);

$hogwarts-warn: mat.define-palette(mat.$red-palette);

$hogwarts-theme: mat.define-light-theme((
  color: (
    primary: $hogwarts-primary,
    accent: $hogwarts-accent,
    warn: $hogwarts-warn,
  )
));

@include mat.all-component-themes($hogwarts-theme);

